#ifndef IMAGEREADER_H
#define IMAGEREADER_H

#define MAX_FILE_SIZE 4096

#include "imagefile.h"

class ImageReader
{

	public:

		ImageReader();
	
		~ImageReader();
	
		virtual void* open(string filepath, string action);
	
		virtual void access(void* buffer, double *value, int index, char action);
	
		virtual bool close(bool force = 0);
	
	private:
		
		ImageFile *file;

};

#endif

